Quels sont les bugs corrigés sur WordPress 6.4 ?

bugs WordPress 6.4
Noter cet article

WordPress 6.4 est la dernière version majeure du célèbre système de gestion de contenu (CMS) open source. Elle a été publiée le 7 novembre 2023 et propose un nouveau thème par défaut, Twenty Twenty-Four, ainsi qu’une série de mises à jour pour renforcer chaque étape de votre parcours créatif. Cependant, comme toute nouvelle version, WordPress 6.4 n’est pas exempte de bugs. Heureusement, l’équipe de WordPress est réactive et a déjà publié plusieurs versions de maintenance pour corriger les bugs les plus importants. Dans cet article, nous allons vous présenter les principaux bugs corrigés sur WordPress 6.4, ainsi que les solutions pour les éviter ou les résoudre.

Un bug critique lié aux requêtes cURL

L’un des bugs les plus critiques corrigés sur WordPress 6.4 est lié aux requêtes cURL, qui sont utilisées pour communiquer avec des services externes, comme les mises à jour, les flux RSS, les réseaux sociaux, etc. Ce bug pouvait entraîner des erreurs fatales, des ralentissements ou des dysfonctionnements sur certains sites WordPress, en fonction de la configuration du serveur et de la version de PHP utilisée.

Ce bug a été corrigé dans la version 6.4.1 de WordPress, qui a été publiée le 10 novembre 2023. Cette version de maintenance corrige également d’autres bugs mineurs, comme des problèmes d’affichage dans l’éditeur de blocs, des erreurs de validation dans le bloc de détails, ou des incompatibilités avec certains plugins.

Si vous avez rencontré ce bug lié aux requêtes cURL, ou si vous voulez éviter de le rencontrer, nous vous conseillons de mettre à jour votre site WordPress vers la version 6.4.1, ou la version la plus récente disponible. Vous pouvez mettre à jour votre site WordPress depuis le tableau de bord, en cliquant sur le bouton « Mettre à jour maintenant » dans la section « Mises à jour ».

Lire aussi : Comment télécharger WordPress 6.4 facilement et rapidement ?

Une vulnérabilité facilitant l’exécution de code PHP

Une autre faille de sécurité corrigée sur WordPress 6.4 est une vulnérabilité facilitant l’exécution de code PHP, qui pouvait être exploitée par des attaquants pour prendre le contrôle de votre site WordPress. Cette vulnérabilité affectait le bloc de fichier, qui permet d’ajouter un lien de téléchargement vers un fichier sur votre site WordPress. En effet, il était possible de téléverser un fichier PHP malveillant, et de le faire exécuter en modifiant l’URL du lien de téléchargement.

Cette vulnérabilité a été corrigée dans la version 6.4.2 de WordPress, qui a été publiée le 14 décembre 2023. Cette version de maintenance corrige également d’autres vulnérabilités, comme une injection SQL dans le bloc de requête, ou une élévation de privilèges dans l’API REST. Elle apporte également des améliorations mineures, comme la prise en charge du format WebP pour les images, ou la compatibilité avec PHP 8.1.

Si vous avez été victime de cette vulnérabilité facilitant l’exécution de code PHP, ou si vous voulez vous protéger contre elle, nous vous conseillons de mettre à jour votre site WordPress vers la version 6.4.2, ou la version la plus récente disponible. Vous pouvez mettre à jour votre site WordPress depuis le tableau de bord, en cliquant sur le bouton « Mettre à jour maintenant » dans la section « Mises à jour ». Vous pouvez également télécharger la dernière version de WordPress [ici], et la transférer manuellement sur votre serveur.

Lire aussi : WordPress 6.4 thème : le nouveau thème par défaut Twenty Twenty-Four.

D’autres bugs corrigés sur WordPress 6.4

WordPress 6.4 a également corrigé d’autres bugs moins critiques, mais tout de même gênants pour certains utilisateurs. Voici quelques exemples de bugs corrigés sur WordPress 6.4 :

  • Un bug qui empêchait de modifier les couleurs des blocs de texte dans certains thèmes.
  • Un bug qui affichait un message d’erreur lors de l’ajout d’un bloc de citation dans l’éditeur de site.
  • Un bug qui empêchait de modifier les attributs des blocs insérés automatiquement par les hooks.
  • Un bug qui causait des problèmes de compatibilité avec certains plugins, comme Yoast SEO, Jetpack ou WooCommerce.

Lire aussi : Nouveautés wordpress 6.4 : découvrir cette nouvelle version de WordPress.

Conclusion

WordPress 6.4 est une version majeure qui apporte de nombreuses nouveautés et améliorations pour votre site web. Cependant, elle n’est pas exempte de bugs, qui peuvent affecter le fonctionnement ou la sécurité de votre site WordPress. Heureusement, l’équipe de WordPress est réactive et a déjà publié plusieurs versions de maintenance pour corriger les bugs les plus importants. Dans cet article, nous vous avons présenté les principaux bugs corrigés sur WordPress 6.4, ainsi que les solutions pour les éviter ou les résoudre. Nous vous conseillons de mettre à jour votre site WordPress vers la version la plus récente disponible, pour profiter des avantages de WordPress 6.4 sans risquer de rencontrer des problèmes.

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *